=== debian/changelog ===
lm4tools (3:0.1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1097309)

 -- Adrian Bunk <bunk@debian.org>  Fri, 03 Oct 2025 22:58:56 +0300

lm4tools (3:0.1.3-1) unstable; urgency=medium

  * Add debian/watch file
  * Change Priority from extra to optional
  * Update dh to 11 (no changes needed)
  * Update Vcs-* fields pointing to salsa
  * Bumped Standards-Version to 4.2.0 (No changes needed)
  * Remove obsolete get-orig-source target
  * Use https on `Format` field in debian/copyright
  * Fix hardening flags
  * Add (autopkg)tests
  * Exclude non-free files
  * New upstream version 0.1.3
  * Remove patch, already fixed in upstream
  * [d/rules] Set PREFIX=${DESTDIR}

 -- Agustin Henze <tin@debian.org>  Sat, 18 Aug 2018 16:41:41 +0200

lm4tools (20141201~5a4bc0b+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Refresh patch Take-in-account-CFLAGS-and-LDFLAGS
  * Bumped Standard-Version to 3.9.6 (no changes required)

 -- Agustin Henze <tin@debian.org>  Fri, 21 Aug 2015 17:11:18 +0200

lm4tools (20140816~a565880+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #759294)

 -- Agustin Henze <tin@debian.org>  Sun, 24 Aug 2014 16:18:53 -0700
