=== debian/control ===
Source: lm4tools
Section: devel
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Build-Depends:
 debhelper (>= 11.0.0),
 xz-utils,
 libusb-1.0-0-dev,
 pkg-config,
 help2man,
Standards-Version: 4.2.0
Homepage: https://github.com/utzig/lm4tools
Vcs-Git: https://salsa.debian.org/debian/lm4tools.git
Vcs-Browser: https://salsa.debian.org/debian/lm4tools

Package: lm4flash
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lmicdiusb
Description: Command-line firmware flashing tool to communicate with the Stellaris Launchpad
 Command-line firmware flashing tool using libusb-1.0 to communicate with the
 Stellaris Launchpad ICDI
 .
 The Stellaris Launchpad is a low cost development board created by Texas
 Instruments that comes with an ARM Cortex-M4F processor

Package: lmicdiusb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lm4flash
Description: Remote GDB socket over USB for Stellaris Launchpad ICDI
 TCP/USB bridge created by TI, letting GDB communicate with the Stellaris
 Launchpad ICDI
 .
 The Stellaris Launchpad is a low cost development board created by Texas
 Instruments that comes with an ARM Cortex-M4F processor
