=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: lm4tools
 Section: devel
-Priority: optional
+Priority: extra
 Maintainer: Agustin Henze <tin@debian.org>
 Build-Depends:
- debhelper (>= 11.0.0),
+ debhelper (>= 9.0.0),
  xz-utils,
  libusb-1.0-0-dev,
  pkg-config,
  help2man,
-Standards-Version: 4.2.0
+Standards-Version: 3.9.5
 Homepage: https://github.com/utzig/lm4tools
-Vcs-Git: https://salsa.debian.org/debian/lm4tools.git
-Vcs-Browser: https://salsa.debian.org/debian/lm4tools
+Vcs-Git: git://anonscm.debian.org/collab-maint/lm4tools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lm4tools.git
 
 Package: lm4flash
 Architecture: any
