## lm4tools 20141201~5a4bc0b%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: lm4tools
 Section: devel
 Priority: extra
-Maintainer: Agustin Henze <tin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Agustin Henze <tin@debian.org>
 Build-Depends:
  debhelper (>= 9.0.0),
  xz-utils,
  libusb-1.0-0-dev,
  pkg-config,
  help2man,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/utzig/lm4tools
 Vcs-Git: git://anonscm.debian.org/collab-maint/lm4tools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lm4tools.git
