=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lm4tools
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Agustin Henze <tin@debian.org>
+Maintainer: Agustin Henze <tin@debian.org>
 Build-Depends:
  debhelper (>= 9.0.0),
  xz-utils,
